---
title: "v2.3 Release"
date: 2024-07-20T10:05:17-04:00
draft: false
---


> The release with full changelogs and prebuilt binaries can be
seen at the [v2.3.0](https://github.com/Rosettea/Hilbish/releases/tag/v2.3.0)
tag.

Hilbish v2.3 has now been released! This is small feature and bug fix release
which took a while to cme ut since I took a long break from programming in general.
The next release will be great, so stay tuned for that.

# Features
## Pipes (via Lua)
Commands can now be piped to each other via the Lua API with the `hilbish.run`
function and an `fs.pipe`.

Here is a minimal example of the new usage which allows users to now pipe commands
directly via Lua functions:
  
```lua
local fs = require 'fs'
local pr, pw = fs.pipe()
hilbish.run('ls -l', {
	stdout = pw,
	stderr = pw,
})

pw:close()

hilbish.run('wc -l', {
	stdin = pr
})
```

This also means it's easier to make commands output to any stream output,
including in commanders.

# Bug Fixes
- Commanders can now be cancelled with Ctrl-C, which means if they froze for some reason
they can now be exited.
- The shell script interpreter now keeps its environment, and this also fixes the
current working directory being wrong with some commands.
- Some greenhouse bugs have been fixed, like randomly appearing when resizing the terminal
and some text attributes like color appearing where they weren't supposed to.
